////////////////////////////////////////////////////////////////////////////////
//	HexViewer.h:	The class that produces hex output of a file
//
//	This class creates a hexidecimal dump of the input.  It can read any input
//	file in any binary or text format.
//
//	NOTE: This is assumed to be an open-source project, so individual method
//	notes appear before each method in the CPP file rather than here in the
//	.h file.
//
//	Copyright , Jack Emmerichs, 2001.
//
////////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_HEXVIEWER_H_INCLUDED_)
#define AFX_HEXVIEWER_H_INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "BaseViewer.h"

class CHexViewer : public CBaseViewer  
{
public:

	CHexViewer();
	virtual ~CHexViewer();

	void	ViewFile	(char*	szFileName);
};

#endif // !defined(AFX_HEXVIEWER_H_INCLUDED_)
////////////////////////////////////////////////////////////////////////////////
